<template>
  <div class="container todo">
    <div class="row todo__header--center">
      <h1 class="title--bold">TODO APP</h1>
    </div>
    <div class="row todo__filter">
      <div class="col-4"></div>
      <div class="col-4 todo__filter__select">
        <select class="form-control" id="exampleFormControlSelect1" v-model="tab">
          <option value="add_new">Add New ToDo</option>
          <option value="complete">Complete ToDo</option>
          <option value="view_all">View All</option>
        </select>
      </div>
      <div class="col-4"></div>
    </div>
    <div class="row todo__content">
      <div class="col-3"></div>
      <!-- <AddNew v-if="tab === 'add_new'" v-on:display_alert="display_alert" /> -->

      <div class="col-6 content-list">
        <AddNew v-if="tab === 'add_new'" v-on:add_new_item="add_new_item" v-bind:doing_item="doing_item" />
        <CompleteToDo v-else-if="tab === 'complete'" />
        <ViewAll v-else-if="tab==='view_all'" />
      </div>
      <div class="col-3"></div>
    </div>
  </div>
</template>

<script>
import "./ToDo.scss";
import AddNew from "./AddNew.vue";
import CompleteToDo from "./CompleteToDo.vue";
import ViewAll from "./ViewAll.vue";

export default {
  name: "ToDo",
  components: {
    AddNew,
    CompleteToDo,
    ViewAll
  },
  props: {},
  data() {
    return {
      tab: "add_new",
      todo_list: []
    };
  },
  methods: {
    display_alert(){
      alert("Display alert");
    },
    add_new_item(new_todo){
      this.todo_list.push({ name: new_todo, status: true });
      console.log(this.todo_list);
    }
  },
  watch: {
      tab: function(){
        //   alert(this.tab); 
      }
  },
  computed: {
    doing_item(){
      var list_doing = [];
      for (var i = 0; i < this.todo_list.length; i++){
        if (this.todo_list[i].status){
          list_doing.push(this.todo_list[i])
        }
      }
      return list_doing;
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
